## ros-lunar-ocean-battery-driver 1.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ocean_battery_driver)

find_package(catkin REQUIRED COMPONENTS roscpp pr2_msgs diagnostic_updater diagnostic_msgs)

catkin_package()

add_subdirectory(src)

=== debian/changelog ===
ros-lunar-ocean-battery-driver (1.1.7-0xenial) xenial; urgency=high

  * Merge pull request #71 <https://github.com/PR2/pr2_power_drivers/issues/71> from Jntzko/last_battery_update
    Initialize last battery update time with 0
  * Initialize last battery update time with 0
    in kinetic initializing a ros time with -1 throws the following error:
    "Time is out of dual 32-bit range"
    Change it to time(0) keeps the previous behaviour, but uses time 0 as initial value.
  * Contributors: Yannick Jonetzko

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 17 Dec 2018 00:00:00 -0000

ros-lunar-ocean-battery-driver (1.1.6-0xenial) xenial; urgency=high

  * change maintainer to ROS orphaned package maintaner
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 11 Feb 2018 00:00:00 -0000

ros-lunar-ocean-battery-driver (1.1.5-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-lunar-ocean-battery-driver (1.1.3-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 00:00:00 -0000

=== debian/control ===
Source: ros-lunar-ocean-battery-driver
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), liblog4cxx10-dev, ros-lunar-catkin, ros-lunar-diagnostic-msgs, ros-lunar-diagnostic-updater, ros-lunar-pr2-msgs, ros-lunar-roscpp
Homepage: http://www.ros.org/wiki/ocean_battery_driver
Standards-Version: 3.9.2

Package: ros-lunar-ocean-battery-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx10-dev, ros-lunar-diagnostic-msgs, ros-lunar-diagnostic-updater, ros-lunar-pr2-msgs, ros-lunar-roscpp
Description: This is an interface to the Ocean Server Technology Intelligent Battery and Power System.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-ocean-battery-driver//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
